Skip to main content
POST
Resend email verification code

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Email Verification Id

verificationUUID
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

email
string<email>
required

Email address to resend the verification to

Maximum string length: 255
Pattern: ^[^@]{1,64}@[^@]+$
captchaToken
string

When provided, used to verify that a captcha is valid and get the success/failure result from the captcha provider server-side.

purpose
enum<string>

Valid scopes for an elevated access token. On verification create/retry requests it acts as purpose and tailors the verification email copy.

Available options:
business_account:governance:update,
business_account:link_wallet,
business_account:member:add,
business_account:member:remove,
business_account:member:role:update,
business_account:policy:update,
business_account:proposal:approve,
business_account:proposal:veto,
business_account:role:define,
business_account:role:delete,
business_account:signer:add,
business_account:signer:remove,
business_account:transfer_ownership,
business_account:wallet:create,
business_account:wallet:remove,
console:admin_action:review,
console:approval_workflow:update,
console:member:invite,
console:mfa:reset,
console:project:delete,
console:settings:update,
console:sso:update,
console:user:delete,
console:webhook_secret:reveal,
credential:link,
credential:update,
credential:unlink,
mfa_recovery_codes:regenerate,
user:update,
user:delete,
wallet:export,
wallet:delete,
wallet:refresh,
wallet:reshare,
wallet:delegate,
wallet:sign,
wallet:restore,
wallet:policy:update

Response

Successful response, a new code has been set

verificationUUID
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

email
string<email>
required

Email address that the verification was sent to